Name:           perl-PHP-Serialization
Version:        0.34
Release:        2%{?dist}
Summary:        Simple flexible means of converting the output of PHP's serialize() into the equivalent Perl memory structure, and vice versa
License:        CHECK(Distributable)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PHP-Serialization/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/PHP-Serialization-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Provides a simple, quick means of serializing perl memory structures
(including object data!) into a format that PHP can deserialize() and
access, and vice versa.

%prep
%setup -q -n PHP-Serialization-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Sep 05 2023 Daniel Berteaud <dbd@ehtrace.com> 0.34-2
- new package built with tito

* Tue Sep 5 2023 Daniel Berteaud <dbd@ehtrace.com> 0.34-1
- First build using cpanspec
